@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap");

.hidden {
    display: none !important;
}
.yellowText {
    color: #ead727;
}

.greenText {
    color: #36e20a;
}

.redText {
    color: #fc0909;
}
.select2-search__field {
    display: none;
}

.select2-selection__choice__remove {
    border: none;
    background-color: #e4e4e4;
}

.select2-selection__choice {
    margin-top: 0;
}

.select2-selection--multiple.is-invalid {
    border-color: red !important;
}

/* Buttons Styling for Company */
.company-btn {
    transition: background-color 0.3s, color 0.3s;
    border-color: #00c5fb !important;
    color: #00c5fb !important;
}

.company-btn.active {
    background-color: #00c5fb !important;
    border-color: #00c5fb !important;
    /* Primary color */
    color: white !important;
}

.company-btn:hover {
    background-color: #009dc8 !important;
    /* Darker shade on hover */
    color: white !important;
}

/* Pagination Custom Style */
div.dt-container .dt-paging .dt-paging-button.current {
    background-color: #00c5fb !important;
    color: white !important;
    border-radius: 10px !important;
    border: none !important;
    z-index: 999;
}
div.dt-container .dt-paging .dt-paging-button.current:hover {
    color: white !important;
    background-color: #009dc8 !important;
}

div.dt-container .dt-paging .dt-paging-button:hover {
    color: white !important;
    border: 1px solid #009dc8 !important;
    background: linear-gradient(to bottom, #009dc8 0%, #009dc8 100%) !important;
    border-radius: 10px !important;
}

div.dt-container .dt-paging .dt-paging-button.disabled:hover {
    color: white !important;
}

/* Custom Button Styles */
a.btn_added {
    color: #fff;
    font-size: 1rem;
    font-weight: 500;
    border-radius: 5px;
    background-color: #00c5fb;
    border: 1px solid #00c5fb;
    padding: 0.375rem 1.1rem;
    /* display: flex;
    align-items: center;
    gap: 10px; */
}
a.btn_added:hover {
    background-color: #009dc8;
    border-color: #009dc8;
    color: #fff;
}

.closed_btn {
    width: 30px; /* Adjust size as needed */
    height: 30px; /* Adjust size as needed */
    border: none;
    outline: none;
    background: transparent;
    position: relative;
    cursor: pointer;
    background-color: #f2f3f3;
    border: 1px solid #f2f3f3;
    border-radius: 50%;
}

.closed_btn::before,
.closed_btn::after {
    content: "";
    position: absolute;
    width: 2px; /* Line thickness */
    height: 10px; /* Line length */
    background: black; /* Line color */
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) rotate(45deg);
}

.closed_btn::after {
    transform: translate(-50%, -50%) rotate(-45deg);
}

.closed_btn:hover {
    background-color: #00c5fb;
    border: 1px solid #00c5fb;
}

.closed_btn:hover::before,
.closed_btn:hover::after {
    background: white; /* Change line color to white on hover */
}

/* Form Custom Style */

.form-select {
    line-height: 1.85 !important;
}
.form-control:focus {
    border-color: #86b7fe !important;
}

/* Preloader Css */
.loader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5); /* Semi-transparent background */
    z-index: 99999999999; /* Ensure it appears on top */
    display: flex; /* Center loader content */
    justify-content: center; /* Center horizontally */
    align-items: center; /* Center vertically */
}

.loader-animation {
    --d: 22px;
    width: 4px;
    height: 4px;
    border-radius: 50%;
    color: #0253cc;
    box-shadow: calc(1 * var(--d)) calc(0 * var(--d)) 0 0,
        calc(0.707 * var(--d)) calc(0.707 * var(--d)) 0 1px,
        calc(0 * var(--d)) calc(1 * var(--d)) 0 2px,
        calc(-0.707 * var(--d)) calc(0.707 * var(--d)) 0 3px,
        calc(-1 * var(--d)) calc(0 * var(--d)) 0 4px,
        calc(-0.707 * var(--d)) calc(-0.707 * var(--d)) 0 5px,
        calc(0 * var(--d)) calc(-1 * var(--d)) 0 6px;
    animation: l27 1s infinite steps(8);
}

@keyframes l27 {
    100% {
        transform: rotate(1turn);
    }
}

/* CustomToaster Styles */

#notification {
    position: fixed;
    top: 70px;
    right: 20px;
    z-index: 1000; /* Ensure it's above other content */
}
.toast {
    position: relative;
    color: #fff;
    margin-bottom: 10px;
    width: 350px;
    display: grid;
    grid-template-columns: 60px 1fr 60px;
    border-radius: 5px;
    --color: #0abf30;
    background-image: linear-gradient(to right, #0abf3055, #22242f 30%);
    animation: show 0.3s ease 1 forwards;
    z-index: 1001; /* Set a z-index to stack toasts correctly */
}
.toast i {
    color: var(--color);
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: x-large;
}
.toast i:last-child:hover {
    cursor: pointer;
}
.toast .title {
    font-size: large;
    font-weight: bold;
}
.toast span,
.toast i:nth-child(3) {
    color: #fff;

    opacity: 0.6;
}

@keyframes show {
    0% {
        transform: translateX(100%);
    }
    40% {
        transform: translateX(-5%);
    }
    80% {
        transform: translateX(0%);
    }
    100% {
        transform: translateX(-10%);
    }
}
.toast::before {
    position: absolute;
    bottom: 0;
    left: 0;
    background-color: var(--color);
    width: 100%;
    height: 3px;
    content: "";
    box-shadow: 0 0 10px var(--color);
    animation: timeOut 5s linear 1 forwards;
}
@keyframes timeOut {
    to {
        width: 0;
    }
}
.toast.error {
    --color: #f24d4c;
    background-image: linear-gradient(to right, #f24d4c55, #22242f 30%);
}
.toast.warning {
    --color: #e9bd0c;
    background-image: linear-gradient(to right, #e9bd0c55, #22242f 30%);
}
.toast.info {
    --color: #3498db;
    background-image: linear-gradient(to right, #3498db55, #22242f 30%);
}

/* // CSS EMP & COM BTN //*/
.c_Employee {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

a.btn_employee {
    color: #fff;
    font-size: 1rem;
    font-weight: 500;
    border-radius: 5px;
    background-color: #00c5fb;
    border: 1px solid #00c5fb;
    padding: 9px 9px 9px 8px;
}
a.btn_employee:hover {
    background-color: #009dc8;
    border-color: #009dc8;
    color: #fff;
}

/* //Checkbox CSS */
.custom_check input:checked ~ .checkmark {
    background-color: #00c5fb !important;
    border-color: #00c5fb !important;
}

/* ScrollBar NEW CSS */
html,
body {
    margin: 0;
    padding: 0;
    height: 100%; /* Ensure the body takes the full height */
    overflow: hidden; /* Prevent scrollbars on the body */
}

.main-wrapper {
    display: flex;
    flex-direction: column; /* Stack items vertically */
    height: 100vh; /* Full height of the viewport */
}

.page-wrapper {
    position: relative; /* Position context for child elements */
    overflow-y: auto; /* Show vertical scrollbar only when necessary */
    overflow-x: hidden; /* Hide horizontal scrollbar */
}

/* /// ScrollBar CSS  END ////*/

/* Roles & Permissions Styles */
.check-role {
    display: flex;
    gap: 20px;
    align-items: flex-end;
}
.roles-container {
    display: flex;
    gap: 50px;
    flex-wrap: wrap;
    justify-content: start;
}

.column-container {
    background: #eeee;
    padding: 40px 20px 40px 20px;
    border-radius: 5px;
}
.card-role {
    background: #ffff;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1),
        /* Slight shadow below the element */ 0 1px 3px rgba(0, 0, 0, 0.08); /* Softer, more subtle shadow closer */
}

.custom_check .checkmark {
    border: 1px solid #c5c5c5 !important;
    background-color: #eeee !important;
}

/* ---Theme select 2 CSS ---- */
.select2-container--default
    .select2-results__option--highlighted[aria-selected] {
    background-color: #5897fb !important;
}

/* ----Btn Active And Inactive Style --- */
.btn_active {
    display: inline-block;
    padding: 10px 15px;
    margin: 10px 10px 10px 0px;
    width: 137px;
    font-size: 14px;
    font-weight: bold;
    text-align: center;
    text-decoration: none;
    border-radius: 5px;
    background-color: #00c5fb;
    color: white !important;
    transition: background-color 0.3s;
}

.btn_active:hover {
    background-color: #009dc8;
}

.btn_inactive {
    display: inline-block;
    padding: 10px 15px;
    margin: 10px 10px 10px 0px;
    width: 137px;
    font-size: 14px;
    font-weight: bold;
    text-align: center;
    text-decoration: none;
    border-radius: 5px;
    background-color: #dc3545;
    color: white !important;
    transition: background-color 0.3s;
}

.btn_inactive:hover {
    background-color: #c82333;
}

/* //Import button style // */

.form-control[readonly] {
    background-color: #ffffff !important;
}

/* Header */
.dropdown-item.active,
.dropdown-item:active {
    background-color: #009efb !important;
    color: #ffff !important;
}

/* Schedule CSS */
.btn-check:checked + .btn,
.btn.active,
.btn.show,
.btn:first-child:active,
:not(.btn-check) + .btn:active {
    background-color: #00c5fb !important;
    border-color: #00c5fb !important;
}
.split-head li .btn:hover {
    background-color: #009dc8 !important;
    border-color: #009dc8 !important;
}

/* Leave Under Probation Notice Style  */

.notice-box {
    background-color: #f3f2f2;
    color: #000;
    border-left: 6px solid #12b5f3;
    border-radius: 8px;
    padding: 20px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    font-size: 1.1rem;
    margin-bottom: 40px;
}

.notice-box .notice-heading {
    font-weight: 600;
    font-size: 1.25rem;
    margin-bottom: 10px;
}

.notice-box p {
    font-size: 1rem;
    margin: 0;
}

.notice-box p strong {
    font-weight: 700;
    color: #c9302c;
}

/* UNLOACK LEAVES FORM CSS STARTS */

.image-card {
    width: 100%;
    height: auto;
    padding: 15px;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.15);
    border-radius: 5px;
    overflow: hidden;
    background: #fafbff;
    margin-bottom: 16px;
}

.image-card .top {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}

.image-card p {
    font-size: 0.9rem;
    font-weight: 600;
    color: #878a9a;
}

.image-card button {
    outline: 0;
    border: 0;
    -webkit-appearence: none;
    background: #5256ad;
    color: #fff;
    border-radius: 4px;
    transition: 0.3s;
    cursor: pointer;
    font-weight: 400;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.15);
    font-size: 0.8rem;
    padding: 8px 13px;
}

.image-card button:hover {
    opacity: 0.8;
}

.image-card button:active {
    transform: translateY(5px);
}

.image-card .drag-area {
    width: 100%;
    height: 160px;
    border-radius: 5px;
    border: 2px dashed #d5d5e1;
    color: #c8c9dd;
    font-size: 0.9rem;
    font-weight: 500;
    position: relative;
    background: #dfe3f259;
    display: flex;
    justify-content: center;
    align-items: center;
    user-select: none;
    -webkit-user-select: none;
    margin-top: 10px;
}

.image-card .drag-area .visible {
    font-size: 18px;
}
.image-card .image-select {
    color: #5256ad;
    margin-left: 5px;
    cursor: pointer;
    transition: 0.4s;
}

.image-card .image-select:hover {
    opacity: 0.6;
}

.image-card .image-container {
    width: 100%;
    height: auto;
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    max-height: 200px;
    overflow-y: auto;
    margin-top: 10px;
}

.image-card .image-container .image {
    /* width: calc(26% - 19px); */
    margin-right: 15px;
    height: 75px;
    position: relative;
    margin-bottom: 8px;
}

.image-card .image-container .image img {
    width: 100%;
    height: 100%;
    border-radius: 5px;
}

.image-card .image-container .image span {
    position: absolute;
    top: 1px;
    right: 1px;
    font-size: 10px;
    padding: 1px 6px;
    background-color: #fff;
    color: #16191ca1;
    border-radius: 50%;
    cursor: pointer;
    text-align: center;
    font-weight: bold;
    border: 1px solid #fff;
    transition: background-color 0.3s, transform 0.2s;
}

/* dragover class will used in drag and drop system */
.caimage-cardrd .drag-area.dragover {
    background: rgba(0, 0, 0, 0.4);
}

.image-card .drag-area.dragover .on-drop {
    display: inline;
    font-size: 28px;
}

.image-card input,
.image-card .drag-area .on-drop,
.image-card .drag-area.dragover .visible {
    display: none;
}
/* UNLOACK LEAVES FORM CSS ENDS */
